# $Revision: 1.22 $, $Date: 2009/09/08 22:46:56 $
Summary:	Puzzle game
Summary(pl.UTF-8):	Gra logiczna
Name:		brikx
Version:	0.4.5
Release:	1
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	http://dl.sourceforge.net/brikx/0.4.5/%{name}.tar.bz2
# Source0-md5:	faccd4420ea1d24eea3e4f9829f03c64
URL:		http://sourceforge.net/projects/brikx/
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_ttf-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype-devel
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A small puzzle game in which your goal is to remove all tiles. You are
held up by other tiles, gravity, walls, and other things.

%description -l pl.UTF-8
Mała gra logiczna, w której celem gracza jest pozbycie się wszystkich
kulek. W dokonaniu tego przeszkadzają inne kulki, grawitacja, ściany
oraz inne rzeczy.

%prep
%setup -q -n %{name}
%{__sed} -i 's@data@%{_datadir}/%{name}@' src/brikx.h

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -r src/data/* $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: brikx.spec,v $
Revision 1.22  2009/09/08 22:46:56  gotar
- removed TODO (builds and works now)

Revision 1.21  2009/09/08 16:12:36  gotar
- oops, fixed this time...

Revision 1.20  2009/09/08 15:37:47  gotar
- should be fixed by now

Revision 1.19  2009/09/08 15:34:15  gotar
- upgraded to 0.4.5

Revision 1.18  2008/05/27 06:42:54  arekm
- todo

Revision 1.17  2008-03-26 15:50:30  lisu
- up to 0.4.1

Revision 1.16  2008-02-14 22:24:40  cactus
- up to 0.4.0.1 - fix bug with config save

Revision 1.15  2008-02-11 21:49:55  cactus
- BR: libtool

Revision 1.14  2007-06-13 11:57:12  lisu
- 0.4.0b

Revision 1.13  2007/04/07 03:07:27  shadzik
- 0.3.6
- BR SDL_mixer-devel

Revision 1.12  2007/02/13 22:17:14  qboosh
- BR: freetype-devel (I suppose)

Revision 1.11  2007/02/13 06:46:49  glen
- tabs in preamble

Revision 1.10  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.9  2007/02/11 21:17:48  lisu
- 0.3.3

Revision 1.8  2007/02/11 14:25:42  lisu
- 0.3.2

Revision 1.7  2007/02/10 14:30:56  lisu
- 0.2.9
- cosmetics

Revision 1.6  2007/02/05 20:31:29  darekr
- fix build (added -include patch)

Revision 1.5  2007/02/05 17:32:52  lisu
- 0.2.3

Revision 1.4  2007/02/02 20:05:43  lisu
- 0.2.2

Revision 1.3  2007/02/02 07:32:33  lisu
- 0.2.13
Revision 1.2  2007/01/29 22:13:08  lisu
- 0.1.5

Revision 1.1  2007/01/29 00:37:49  lisu
- initial release
